stable.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: stable@vger.kernel.org
Cc: "Greg Kroah-Hartman" <gregkh@linuxfoundation.org>,
	patches@lists.linux.dev, "Georg Müller" <georgmueller@gmx.net>,
	"Masami Hiramatsu (Google)" <mhiramat@kernel.org>,
	"Adrian Hunter" <adrian.hunter@intel.com>,
	"Alexander Shishkin" <alexander.shishkin@linux.intel.com>,
	"Ian Rogers" <irogers@google.com>,
	"Ingo Molnar" <mingo@redhat.com>, "Jiri Olsa" <jolsa@kernel.org>,
	"Mark Rutland" <mark.rutland@arm.com>,
	"Namhyung Kim" <namhyung@kernel.org>,
	"Peter Zijlstra" <peterz@infradead.org>,
	regressions@lists.linux.dev,
	"Arnaldo Carvalho de Melo" <acme@redhat.com>
Subject: [PATCH 5.4 276/313] perf probe: Add test for regression introduced by switch to die_get_decl_file()
Date: Tue, 25 Jul 2023 12:47:09 +0200	[thread overview]
Message-ID: <20230725104533.013613502@linuxfoundation.org> (raw)
In-Reply-To: <20230725104521.167250627@linuxfoundation.org>

From: Georg Müller <georgmueller@gmx.net>

commit 56cbeacf143530576905623ac72ae0964f3293a6 upstream.

This patch adds a test to validate that 'perf probe' works for binaries
where DWARF info is split into multiple CUs

Signed-off-by: Georg Müller <georgmueller@gmx.net>
Acked-by: Masami Hiramatsu (Google) <mhiramat@kernel.org>
Cc: Adrian Hunter <adrian.hunter@intel.com>
Cc: Alexander Shishkin <alexander.shishkin@linux.intel.com>
Cc: Ian Rogers <irogers@google.com>
Cc: Ingo Molnar <mingo@redhat.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Cc: Mark Rutland <mark.rutland@arm.com>
Cc: Namhyung Kim <namhyung@kernel.org>
Cc: Peter Zijlstra <peterz@infradead.org>
Cc: regressions@lists.linux.dev
Cc: stable@vger.kernel.org
Link: https://lore.kernel.org/r/20230628084551.1860532-5-georgmueller@gmx.net
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
---
 tools/perf/tests/shell/test_uprobe_from_different_cu.sh |   77 ++++++++++++++++
 1 file changed, 77 insertions(+)
 create mode 100755 tools/perf/tests/shell/test_uprobe_from_different_cu.sh

--- /dev/null
+++ b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
@@ -0,0 +1,77 @@
+#!/bin/bash
+# test perf probe of function from different CU
+# SPDX-License-Identifier: GPL-2.0
+
+set -e
+
+temp_dir=$(mktemp -d /tmp/perf-uprobe-different-cu-sh.XXXXXXXXXX)
+
+cleanup()
+{
+	trap - EXIT TERM INT
+	if [[ "${temp_dir}" =~ ^/tmp/perf-uprobe-different-cu-sh.*$ ]]; then
+		echo "--- Cleaning up ---"
+		perf probe -x ${temp_dir}/testfile -d foo
+		rm -f "${temp_dir}/"*
+		rmdir "${temp_dir}"
+	fi
+}
+
+trap_cleanup()
+{
+        cleanup
+        exit 1
+}
+
+trap trap_cleanup EXIT TERM INT
+
+cat > ${temp_dir}/testfile-foo.h << EOF
+struct t
+{
+  int *p;
+  int c;
+};
+
+extern int foo (int i, struct t *t);
+EOF
+
+cat > ${temp_dir}/testfile-foo.c << EOF
+#include "testfile-foo.h"
+
+int
+foo (int i, struct t *t)
+{
+  int j, res = 0;
+  for (j = 0; j < i && j < t->c; j++)
+    res += t->p[j];
+
+  return res;
+}
+EOF
+
+cat > ${temp_dir}/testfile-main.c << EOF
+#include "testfile-foo.h"
+
+static struct t g;
+
+int
+main (int argc, char **argv)
+{
+  int i;
+  int j[argc];
+  g.c = argc;
+  g.p = j;
+  for (i = 0; i < argc; i++)
+    j[i] = (int) argv[i][0];
+  return foo (3, &g);
+}
+EOF
+
+gcc -g -Og -flto -c ${temp_dir}/testfile-foo.c -o ${temp_dir}/testfile-foo.o
+gcc -g -Og -c ${temp_dir}/testfile-main.c -o ${temp_dir}/testfile-main.o
+gcc -g -Og -o ${temp_dir}/testfile ${temp_dir}/testfile-foo.o ${temp_dir}/testfile-main.o
+
+perf probe -x ${temp_dir}/testfile --funcs foo
+perf probe -x ${temp_dir}/testfile foo
+
+cleanup



  parent reply	other threads:[~2023-07-25 11:47 UTC|newest]

Thread overview: 324+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-25 10:42 [PATCH 5.4 000/313] 5.4.251-rc1 review Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 001/313] gfs2: Dont deref jdesc in evict Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 002/313] x86/smp: Use dedicated cache-line for mwait_play_dead() Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 003/313] video: imsttfb: check for ioremap() failures Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 004/313] fbdev: imsttfb: Fix use after free bug in imsttfb_probe Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 005/313] HID: wacom: Use ktime_t rather than int when dealing with timestamps Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 006/313] drm/i915: Initialise outparam for error return from wait_for_register Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 007/313] scripts/tags.sh: Resolve gtags empty index generation Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 008/313] drm/amdgpu: Validate VM ioctl flags Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 009/313] bgmac: fix *initial* chip reset to support BCM5358 Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 010/313] x86/resctrl: Use is_closid_match() in more places Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 011/313] x86/resctrl: Only show tasks pid in current pid namespace Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 012/313] md/raid10: check slab-out-of-bounds in md_bitmap_get_counter Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 013/313] md/raid10: fix overflow of md/safe_mode_delay Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 014/313] md/raid10: fix wrong setting of max_corr_read_errors Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 015/313] md/raid10: fix null-ptr-deref of mreplace in raid10_sync_request Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 016/313] md/raid10: fix io loss while replacement replace rdev Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 017/313] irqchip/jcore-aic: Kill use of irq_create_strict_mappings() Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 018/313] irqchip/jcore-aic: Fix missing allocation of IRQ descriptors Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 019/313] tracing/timer: Add missing hrtimer modes to decode_hrtimer_mode() Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 020/313] clocksource/drivers/cadence-ttc: Use ttc driver as platform driver Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 021/313] clocksource/drivers/cadence-ttc: Fix memory leak in ttc_timer_probe Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 022/313] PM: domains: fix integer overflow issues in genpd_parse_state() Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 023/313] powercap: RAPL: Fix CONFIG_IOSF_MBI dependency Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 024/313] ARM: 9303/1: kprobes: avoid missing-declaration warnings Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 025/313] evm: Complete description of evm_inode_setattr() Greg Kroah-Hartman
2023-07-25 10:42 ` [PATCH 5.4 026/313] pstore/ram: Add check for kstrdup Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 027/313] ima: Fix build warnings Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 028/313] wifi: ath9k: fix AR9003 mac hardware hang check register offset calculation Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 029/313] wifi: ath9k: avoid referencing uninit memory in ath9k_wmi_ctrl_rx Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 030/313] samples/bpf: Fix buffer overflow in tcp_basertt Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 031/313] spi: spi-geni-qcom: Correct CS_TOGGLE bit in SPI_TRANS_CFG Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 032/313] wifi: mwifiex: Fix the size of a memory allocation in mwifiex_ret_802_11_scan() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 033/313] nfc: constify several pointers to u8, char and sk_buff Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 034/313] nfc: llcp: fix possible use of uninitialized variable in nfc_llcp_send_connect() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 035/313] regulator: core: Fix more error checking for debugfs_create_dir() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 036/313] regulator: core: Streamline debugfs operations Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 037/313] wifi: orinoco: Fix an error handling path in spectrum_cs_probe() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 038/313] wifi: orinoco: Fix an error handling path in orinoco_cs_probe() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 039/313] wifi: atmel: Fix an error handling path in atmel_probe() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 040/313] wl3501_cs: Fix a bunch of formatting issues related to function docs Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 041/313] wl3501_cs: Remove unnecessary NULL check Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 042/313] wl3501_cs: Fix misspelling and provide missing documentation Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 043/313] net: create netdev->dev_addr assignment helpers Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 044/313] wl3501_cs: use eth_hw_addr_set() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 045/313] wifi: wl3501_cs: Fix an error handling path in wl3501_probe() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 046/313] wifi: ray_cs: Utilize strnlen() in parse_addr() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 047/313] wifi: ray_cs: Drop useless status variable " Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 048/313] wifi: ray_cs: Fix an error handling path in ray_probe() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 049/313] wifi: ath9k: dont allow to overwrite ENDPOINT0 attributes Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 050/313] wifi: rsi: Do not set MMC_PM_KEEP_POWER in shutdown Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 051/313] watchdog/perf: define dummy watchdog_update_hrtimer_threshold() on correct config Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 052/313] watchdog/perf: more properly prevent false positives with turbo modes Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 053/313] kexec: fix a memory leak in crash_shrink_memory() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 054/313] memstick r592: make memstick_debug_get_tpc_name() static Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 055/313] wifi: ath9k: Fix possible stall on ath9k_txq_list_has_key() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 056/313] rtnetlink: extend RTEXT_FILTER_SKIP_STATS to IFLA_VF_INFO Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 057/313] wifi: iwlwifi: pull from TXQs with softirqs disabled Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 058/313] wifi: cfg80211: rewrite merging of inherited elements Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 059/313] wifi: ath9k: convert msecs to jiffies where needed Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 060/313] netlink: fix potential deadlock in netlink_set_err() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 061/313] netlink: do not hard code device address lenth in fdb dumps Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 062/313] selftests: rtnetlink: remove netdevsim device after ipsec offload test Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 063/313] gtp: Fix use-after-free in __gtp_encap_destroy() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 064/313] nfc: llcp: simplify llcp_sock_connect() error paths Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 065/313] net: nfc: Fix use-after-free caused by nfc_llcp_find_local Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 066/313] lib/ts_bm: reset initial match offset for every block of text Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 067/313] netfilter: conntrack: dccp: copy entire header to stack buffer, not just basic one Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 068/313] netfilter: nf_conntrack_sip: fix the ct_sip_parse_numerical_param() return value Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 069/313] ipvlan: Fix return value of ipvlan_queue_xmit() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 070/313] netlink: Add __sock_i_ino() for __netlink_diag_dump() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 071/313] radeon: avoid double free in ci_dpm_init() Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 072/313] Input: drv260x - sleep between polling GO bit Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 073/313] ARM: dts: BCM5301X: Drop "clock-names" from the SPI node Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 074/313] Input: adxl34x - do not hardcode interrupt trigger type Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 075/313] drm: sun4i_tcon: use devm_clk_get_enabled in `sun4i_tcon_init_clocks` Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 076/313] RDMA/bnxt_re: Fix to remove an unnecessary log Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 077/313] ARM: dts: gta04: Move model property out of pinctrl node Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 078/313] arm64: dts: qcom: msm8916: correct camss unit address Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 079/313] drm/panel: simple: fix active size for Ampire AM-480272H3TMQW-T01H Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 080/313] ARM: ep93xx: fix missing-prototype warnings Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 081/313] memory: brcmstb_dpfe: fix testing array offset after use Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 082/313] ASoC: es8316: Increment max value for ALC Capture Target Volume control Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 083/313] ASoC: es8316: Do not set rate constraints for unsupported MCLKs Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 084/313] soc/fsl/qe: fix usb.c build errors Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 085/313] IB/hfi1: Fix sdma.h tx->num_descs off-by-one errors Greg Kroah-Hartman
2023-07-25 10:43 ` [PATCH 5.4 086/313] arm64: dts: renesas: ulcb-kf: Remove flow control for SCIF1 Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 087/313] fbdev: omapfb: lcd_mipid: Fix an error handling path in mipid_spi_probe() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 088/313] drm/amdkfd: Fix potential deallocation of previously deallocated memory Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 089/313] drm/radeon: fix possible division-by-zero errors Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 090/313] clk: tegra: tegra124-emc: Fix potential memory leak Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 091/313] ALSA: ac97: Fix possible NULL dereference in snd_ac97_mixer Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 092/313] clk: cdce925: check return value of kasprintf() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 093/313] clk: keystone: sci-clk: " Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 094/313] ASoC: imx-audmix: check return value of devm_kasprintf() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 095/313] scsi: qedf: Fix NULL dereference in error handling Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 096/313] PCI/ASPM: Disable ASPM on MFD function removal to avoid use-after-free Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 097/313] scsi: 3w-xxxx: Add error handling for initialization failure in tw_probe() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 098/313] PCI: pciehp: Cancel bringup sequence if card is not present Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 099/313] PCI: ftpci100: Release the clock resources Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 100/313] PCI: Add pci_clear_master() stub for non-CONFIG_PCI Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 101/313] pinctrl: cherryview: Return correct value if pin in push-pull mode Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 102/313] perf dwarf-aux: Fix off-by-one in die_get_varname() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 103/313] pinctrl: at91-pio4: check return value of devm_kasprintf() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 105/313] hwrng: virtio - add an internal buffer Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 106/313] hwrng: virtio - dont wait on cleanup Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 107/313] hwrng: virtio - dont waste entropy Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 108/313] hwrng: virtio - always add a pending request Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 109/313] hwrng: virtio - Fix race on data_avail and actual data Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 110/313] crypto: nx - fix build warnings when DEBUG_FS is not enabled Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 111/313] modpost: fix section mismatch message for R_ARM_ABS32 Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 112/313] modpost: fix section mismatch message for R_ARM_{PC24,CALL,JUMP24} Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 113/313] crypto: skcipher - unify the crypto_has_skcipher*() functions Greg Kroah-Hartman
2023-07-25 16:13   ` Eric Biggers
2023-07-26  1:25     ` Sasha Levin
2023-07-26  1:28       ` Eric Biggers
2023-07-26  4:36         ` Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 114/313] crypto: skcipher - remove crypto_has_ablkcipher() Greg Kroah-Hartman
2023-07-25 16:14   ` Eric Biggers
2023-07-25 10:44 ` [PATCH 5.4 115/313] crypto: marvell/cesa - Fix type mismatch warning Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 116/313] modpost: fix off by one in is_executable_section() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 117/313] ARC: define ASM_NL and __ALIGN(_STR) outside #ifdef __ASSEMBLY__ guard Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 118/313] NFSv4.1: freeze the session table upon receiving NFS4ERR_BADSESSION Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 119/313] hwrng: st - Fix W=1 unused variable warning Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 120/313] hwrng: st - keep clock enabled while hwrng is registered Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 121/313] USB: serial: option: add LARA-R6 01B PIDs Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 122/313] usb: dwc3: gadget: Propagate core init errors to UDC during pullup Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 123/313] block: fix signed int overflow in Amiga partition support Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 124/313] block: change all __u32 annotations to __be32 in affs_hardblocks.h Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 125/313] w1: fix loop in w1_fini() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 126/313] sh: j2: Use ioremap() to translate device tree address into kernel memory Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 127/313] media: usb: Check az6007_read() return value Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 128/313] media: videodev2.h: Fix struct v4l2_input tuner index comment Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 129/313] media: usb: siano: Fix warning due to null work_func_t function pointer Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 130/313] usb: dwc3: qcom: Fix potential memory leak Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 131/313] extcon: Fix kernel doc of property fields to avoid warnings Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 132/313] extcon: Fix kernel doc of property capability " Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 133/313] usb: phy: phy-tahvo: fix memory leak in tahvo_usb_probe() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 134/313] usb: hide unused usbfs_notify_suspend/resume functions Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 135/313] mfd: rt5033: Drop rt5033-battery sub-device Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 136/313] KVM: s390: fix KVM_S390_GET_CMMA_BITS for GFNs in memslot holes Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 137/313] usb: dwc3: qcom: Release the correct resources in dwc3_qcom_remove() Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 138/313] mfd: intel-lpss: Add missing check for platform_get_resource Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 139/313] serial: 8250_omap: Use force_suspend and resume for system suspend Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 140/313] mfd: stmfx: Fix error path in stmfx_chip_init Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 141/313] KVM: s390: vsie: fix the length of APCB bitmap Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 142/313] mfd: stmpe: Only disable the regulators if they are enabled Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 143/313] pwm: imx-tpm: force real_period to be zero in suspend Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 144/313] pwm: sysfs: Do not apply state to already disabled PWMs Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 145/313] rtc: st-lpc: Release some resources in st_rtc_probe() in case of error Greg Kroah-Hartman
2023-07-25 10:44 ` [PATCH 5.4 146/313] sctp: fix potential deadlock on &net->sctp.addr_wq_lock Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 147/313] Add MODULE_FIRMWARE() for FIRMWARE_TG357766 Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 148/313] spi: bcm-qspi: return error if neither hif_mspi nor mspi is available Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 149/313] mailbox: ti-msgmgr: Fill non-message tx data fields with 0x0 Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 150/313] f2fs: fix error path handling in truncate_dnode() Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 151/313] powerpc: allow PPC_EARLY_DEBUG_CPM only when SERIAL_CPM=y Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 152/313] net: bridge: keep ports without IFF_UNICAST_FLT in BR_PROMISC mode Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 153/313] tcp: annotate data races in __tcp_oow_rate_limited() Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 154/313] xsk: Improve documentation for AF_XDP Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 155/313] xsk: Honor SO_BINDTODEVICE on bind Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 156/313] net/sched: act_pedit: Add size check for TCA_PEDIT_PARMS_EX Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 157/313] net: dsa: tag_sja1105: fix MAC DA patching from meta frames Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 158/313] sh: dma: Fix DMA channel offset calculation Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 159/313] i2c: xiic: Defer xiic_wakeup() and __xiic_start_xfer() in xiic_process() Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 160/313] i2c: xiic: Dont try to handle more interrupt events after error Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 161/313] ALSA: jack: Fix mutex call in snd_jack_report() Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 162/313] NFSD: add encoding of op_recall flag for write delegation Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 163/313] mmc: core: disable TRIM on Kingston EMMC04G-M627 Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 164/313] mmc: core: disable TRIM on Micron MTFC4GACAJCN-1M Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 165/313] mmc: sdhci: fix DMA configure compatibility issue when 64bit DMA mode is used Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 166/313] bcache: Remove unnecessary NULL point check in node allocations Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 167/313] integrity: Fix possible multiple allocation in integrity_inode_get() Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 168/313] jffs2: reduce stack usage in jffs2_build_xattr_subsystem() Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 169/313] fs: avoid empty option when generating legacy mount string Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 170/313] ext4: Remove ext4 locking of moved directory Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 171/313] Revert "f2fs: fix potential corruption when moving a directory" Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 172/313] fs: Establish locking order for unrelated directories Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 173/313] fs: Lock moved directories Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 174/313] btrfs: fix race when deleting quota root from the dirty cow roots list Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 175/313] ARM: orion5x: fix d2net gpio initialization Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 176/313] fs: no need to check source Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 177/313] fanotify: disallow mount/sb marks on kernel internal pseudo fs Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 178/313] block: add overflow checks for Amiga partition support Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 179/313] netfilter: nf_tables: fix nat hook table deletion Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 180/313] netfilter: nftables: add helper function to set the base sequence number Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 181/313] netfilter: add helper function to set up the nfnetlink header and use it Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 182/313] netfilter: nf_tables: use net_generic infra for transaction data Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 183/313] netfilter: nf_tables: add rescheduling points during loop detection walks Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 184/313] netfilter: nf_tables: incorrect error path handling with NFT_MSG_NEWRULE Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 185/313] netfilter: nf_tables: add NFT_TRANS_PREPARE_ERROR to deal with bound set/chain Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 186/313] netfilter: nf_tables: reject unbound anonymous set before commit phase Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 187/313] netfilter: nf_tables: unbind non-anonymous set if rule construction fails Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 188/313] netfilter: nf_tables: fix scheduling-while-atomic splat Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 189/313] netfilter: conntrack: Avoid nf_ct_helper_hash uses after free Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 190/313] netfilter: nf_tables: prevent OOB access in nft_byteorder_eval Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 191/313] tty: serial: fsl_lpuart: add earlycon for imx8ulp platform Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 192/313] block/partition: fix signedness issue for Amiga partitions Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 193/313] net: lan743x: Dont sleep in atomic context Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 194/313] workqueue: clean up WORK_* constant types, clarify masking Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 195/313] drm/panel: Initialise panel dev and funcs through drm_panel_init() Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 196/313] drm/panel: Add and fill drm_panel type field Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 197/313] drm/panel: simple: Add connector_type for innolux_at043tn24 Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 198/313] igc: Remove delay during TX ring configuration Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 199/313] igc: set TP bit in supported and advertising fields of ethtool_link_ksettings Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 200/313] scsi: qla2xxx: Fix error code in qla2x00_start_sp() Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 201/313] net: mvneta: fix txq_map in case of txq_number==1 Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 202/313] net/sched: cls_fw: Fix improper refcount update leads to use-after-free Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 203/313] ionic: improve irq numa locality Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 204/313] ionic: clean irq affinity on queue deinit Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 205/313] ionic: move irq request to qcq alloc Greg Kroah-Hartman
2023-07-25 10:45 ` [PATCH 5.4 206/313] ionic: ionic_intr_free parameter change Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 207/313] ionic: remove WARN_ON to prevent panic_on_warn Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 208/313] icmp6: Fix null-ptr-deref of ip6_null_entry->rt6i_idev in icmp6_dev() Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 209/313] udp6: fix udp6_ehashfn() typo Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 210/313] ntb: idt: Fix error handling in idt_pci_driver_init() Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 211/313] NTB: amd: Fix error handling in amd_ntb_pci_driver_init() Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 212/313] ntb: intel: Fix error handling in intel_ntb_pci_driver_init() Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 213/313] NTB: ntb_transport: fix possible memory leak while device_register() fails Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 214/313] NTB: ntb_tool: Add check for devm_kcalloc Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 215/313] ipv6/addrconf: fix a potential refcount underflow for idev Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 216/313] platform/x86: wmi: Replace UUID redefinitions by their originals Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 217/313] platform/x86: wmi: Fix indentation in some cases Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 218/313] platform/x86: wmi: remove unnecessary argument Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 219/313] platform/x86: wmi: use guid_t and guid_equal() Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 220/313] platform/x86: wmi: move variables Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 221/313] platform/x86: wmi: Break possible infinite loop when parsing GUID Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 222/313] erofs: avoid infinite loop in z_erofs_do_read_page() when reading beyond EOF Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 223/313] wifi: airo: avoid uninitialized warning in airo_get_rate() Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 224/313] cls_flower: Add extack support for src and dst port range options Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 225/313] net/sched: flower: Ensure both minimum and maximum ports are specified Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 226/313] net/sched: make psched_mtu() RTNL-less safe Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 227/313] pinctrl: amd: Fix mistake in handling clearing pins at startup Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 228/313] pinctrl: amd: Detect internal GPIO0 debounce handling Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 229/313] pinctrl: amd: Only use special debounce behavior for GPIO 0 Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 230/313] tpm: tpm_vtpm_proxy: fix a race condition in /dev/vtpmx creation Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 231/313] mtd: rawnand: meson: fix unaligned DMA buffers handling Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 232/313] net: bcmgenet: Ensure MDIO unregistration has clocks enabled Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 233/313] powerpc: Fail build if using recordmcount with binutils v2.37 Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 234/313] misc: fastrpc: Create fastrpc scalar with correct buffer count Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 235/313] SUNRPC: Fix UAF in svc_tcp_listen_data_ready() Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 236/313] erofs: fix compact 4B support for 16k block size Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 237/313] ext4: fix wrong unit use in ext4_mb_clear_bb Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 238/313] ext4: fix to check return value of freeze_bdev() in ext4_shutdown() Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 239/313] ext4: only update i_reserved_data_blocks on successful block allocation Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 240/313] jfs: jfs_dmap: Validate db_l2nbperpage while mounting Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 241/313] PCI/PM: Avoid putting EloPOS E2/S2/H2 PCIe Ports in D3cold Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 242/313] PCI: Add function 1 DMA alias quirk for Marvell 88SE9235 Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 243/313] PCI: qcom: Disable write access to read only registers for IP v2.3.3 Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 244/313] PCI: rockchip: Assert PCI Configuration Enable bit after probe Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 245/313] PCI: rockchip: Write PCI Device ID to correct register Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 246/313] PCI: rockchip: Add poll and timeout to wait for PHY PLLs to be locked Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 247/313] PCI: rockchip: Fix legacy IRQ generation for RK3399 PCIe endpoint core Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 248/313] PCI: rockchip: Use u32 variable to access 32-bit registers Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 249/313] PCI: rockchip: Set address alignment for endpoint mode Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 250/313] misc: pci_endpoint_test: Free IRQs before removing the device Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 251/313] misc: pci_endpoint_test: Re-init completion for every test Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 252/313] md/raid0: add discard support for the original layout Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 253/313] fs: dlm: return positive pid value for F_GETLK Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 254/313] drm/atomic: Allow vblank-enabled + self-refresh "disable" Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 255/313] drm/rockchip: vop: Leave vblank enabled in self-refresh Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 256/313] serial: atmel: dont enable IRQs prematurely Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 257/313] firmware: stratix10-svc: Fix a potential resource leak in svc_create_memory_pool() Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 258/313] hwrng: imx-rngc - fix the timeout for init and self check Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 259/313] ceph: dont let check_caps skip sending responses for revoke msgs Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 260/313] meson saradc: fix clock divider mask length Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 261/313] Revert "8250: add support for ASIX devices with a FIFO bug" Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 262/313] tty: serial: samsung_tty: Fix a memory leak in s3c24xx_serial_getclk() in case of error Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 263/313] tty: serial: samsung_tty: Fix a memory leak in s3c24xx_serial_getclk() when iterating clk Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 264/313] tracing/histograms: Add histograms to hist_vars if they have referenced variables Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 265/313] ring-buffer: Fix deadloop issue on reading trace_pipe Greg Kroah-Hartman
2023-07-25 10:46 ` [PATCH 5.4 266/313] xtensa: ISS: fix call to split_if_spec Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 267/313] tracing: Fix null pointer dereference in tracing_err_log_open() Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 268/313] tracing/probes: Fix not to count error code to total length Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 269/313] scsi: qla2xxx: Wait for io return on terminate rport Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 270/313] scsi: qla2xxx: Fix potential NULL pointer dereference Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 271/313] scsi: qla2xxx: Check valid rport returned by fc_bsg_to_rport() Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 272/313] scsi: qla2xxx: Correct the index of array Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 273/313] scsi: qla2xxx: Pointer may be dereferenced Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 274/313] scsi: qla2xxx: Remove unused nvme_ls_waitq wait queue Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 275/313] drm/atomic: Fix potential use-after-free in nonblocking commits Greg Kroah-Hartman
2023-07-25 10:47 ` Greg Kroah-Hartman [this message]
2023-07-25 10:47 ` [PATCH 5.4 277/313] btrfs: fix warning when putting transaction with qgroups enabled after abort Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 278/313] fuse: revalidate: dont invalidate if interrupted Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 279/313] selftests: tc: set timeout to 15 minutes Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 280/313] can: bcm: Fix UAF in bcm_proc_show() Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 281/313] drm/client: Fix memory leak in drm_client_target_cloned Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 282/313] drm/client: Fix memory leak in drm_client_modeset_probe Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 283/313] ext4: correct inline offset when handling xattrs in inode body Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 284/313] debugobjects: Recheck debug_objects_enabled before reporting Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 285/313] nbd: Add the maximum limit of allocated index in nbd_dev_add Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 286/313] md: fix data corruption for raid456 when reshape restart while grow up Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 287/313] md/raid10: prevent soft lockup while flush writes Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 288/313] posix-timers: Ensure timer ID search-loop limit is valid Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 289/313] arm64: mm: fix VA-range sanity check Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 290/313] sched/fair: Dont balance task to its current running CPU Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 291/313] bpf: Address KCSAN report on bpf_lru_list Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 292/313] devlink: report devlink_port_type_warn source device Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 293/313] wifi: wext-core: Fix -Wstringop-overflow warning in ioctl_standard_iw_point() Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 294/313] wifi: iwlwifi: mvm: avoid baid size integer overflow Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 295/313] igb: Fix igb_down hung on surprise removal Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 296/313] spi: bcm63xx: fix max prepend length Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 297/313] fbdev: imxfb: warn about invalid left/right margin Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 298/313] pinctrl: amd: Use amd_pinconf_set() for all config options Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 299/313] net: ethernet: ti: cpsw_ale: Fix cpsw_ale_get_field()/cpsw_ale_set_field() Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 300/313] iavf: Fix use-after-free in free_netdev Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 301/313] net:ipv6: check return value of pskb_trim() Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 302/313] Revert "tcp: avoid the lookup process failing to get sk in ehash table" Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 303/313] fbdev: au1200fb: Fix missing IRQ check in au1200fb_drv_probe Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 304/313] llc: Dont drop packet from non-root netns Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 305/313] netfilter: nf_tables: fix spurious set element insertion failure Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 306/313] netfilter: nf_tables: cant schedule in nft_chain_validate Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 307/313] tcp: annotate data-races around tp->tcp_tx_delay Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 308/313] net: Replace the limit of TCP_LINGER2 with TCP_FIN_TIMEOUT_MAX Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 309/313] tcp: annotate data-races around tp->linger2 Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 310/313] tcp: annotate data-races around rskq_defer_accept Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 311/313] tcp: annotate data-races around tp->notsent_lowat Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 312/313] tcp: annotate data-races around fastopenq.max_qlen Greg Kroah-Hartman
2023-07-25 10:47 ` [PATCH 5.4 313/313] tracing/histograms: Return an error if we fail to add histogram to hist_vars list Greg Kroah-Hartman
2023-07-25 14:46 ` [PATCH 5.4 000/313] 5.4.251-rc1 review Naresh Kamboju
2023-07-25 15:18   ` Harshit Mogalapalli
2023-07-26  4:48     ` Greg Kroah-Hartman
2023-07-25 16:27 ` Jon Hunter
2023-07-25 20:23 ` Shuah Khan
2023-07-25 20:42 ` Florian Fainelli

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230725104533.013613502@linuxfoundation.org \
    --to=gregkh@linuxfoundation.org \
    --cc=acme@redhat.com \
    --cc=adrian.hunter@intel.com \
    --cc=alexander.shishkin@linux.intel.com \
    --cc=georgmueller@gmx.net \
    --cc=irogers@google.com \
    --cc=jolsa@kernel.org \
    --cc=mark.rutland@arm.com \
    --cc=mhiramat@kernel.org \
    --cc=mingo@redhat.com \
    --cc=namhyung@kernel.org \
    --cc=patches@lists.linux.dev \
    --cc=peterz@infradead.org \
    --cc=regressions@lists.linux.dev \
    --cc=stable@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).